function [Strom]=Uceni()

for i=1:1:3
    if i==1
        Obraz='ctvece.jpg';
    elseif i==2
        Obraz='trojuhelniky.jpg';
    elseif i==3
        Obraz='kola.jpg';
    end

    I = imread(Obraz); 
    I=rgb2gray(I);            %prevod na sedoton
    I=medfilt2(I);            %vyhlazení mediánem
    [I,prah]=edge(I,'canny'); %detekce hran  
    I=imfill(I,'holes');      %vyplnění der(oblastí se spojenymi hranami) 
    [B,L]=bwlabel(I,8);       %získání poctu a rozčlenení obektů
    S=regionprops(B,'all');   %statistiky jednotlivých oblastí
 
    for k=1:1:L  
        if i==1 %naplneni statistikami ctverců 
        StatDataCtverec(k,1)=(S(k).Area*pi*2^2)/(S(k).Perimeter^2); %Kruhovitost
        StatDataCtverec(k,2)=(S(k).Perimeter^2)/(S(k).Area);        %Nekompaktnost
        StatDataCtverec(k,3)=0;
        elseif i==2 %naplneni statistikami trojuhelniku 
        StatDataTroj(k,1)=(S(k).Area*pi*2^2)/(S(k).Perimeter^2); %kruhovitost
        StatDataTroj(k,2)=(S(k).Perimeter^2)/(S(k).Area);        %Nekompaktnost   
        StatDataTroj(k,3)=1;
        elseif i==3 %naplneni statistikami kruhu 
        StatDataKruh(k,1)=(S(k).Area*pi*2^2)/(S(k).Perimeter^2); %Kruhovitost
        StatDataKruh(k,2)=(S(k).Perimeter^2)/(S(k).Area);        %Nekompaktnost
        StatDataKruh(k,3)=2;
        end
    end
end

C=length(StatDataCtverec);
T=length(StatDataTroj); 
K=length(StatDataKruh);

Y(1:C,1)=StatDataCtverec(1:C,3);          %vysledky pro strom
Y(C+1:C+T,1)=StatDataTroj(1:T,3);    
Y(C+T+1:C+T+K,1)=StatDataKruh(1:K,3);

X(1:C,1:2)=StatDataCtverec(1:C,1:2);       %vstupy pro strom
X(C+1:C+T,1:2)=StatDataTroj(1:T,1:2);    
X(C+T+1:C+T+K,1:2)=StatDataKruh(1:K,1:2);

Strom = treefit(X,Y,'splitmin',10,'method','clasification'); %uceni stromu





 

